[Libreoffice-commits] dev-tools.git: cppcheck/cppcheck-report.sh

Maarten Hoes hoes.maarten at gmail.com
Mon Jan 19 10:14:41 PST 2015


 cppcheck/cppcheck-report.sh |    1 +
 1 file changed, 1 insertion(+)

New commits:
commit 52626df964a70fbdfb485f189814d072c1ae4631
Author: Maarten Hoes <hoes.maarten at gmail.com>
Date:   Mon Jan 19 19:09:01 2015 +0100

    Added creation of UPLOAD_DIR.
    
    Change-Id: Ifa0db60f2c0c87fb4b8c7c9cb65d7990a6a4af93
    Reviewed-on: https://gerrit.libreoffice.org/14021
    Reviewed-by: David Tardon <dtardon at redhat.com>
    Tested-by: David Tardon <dtardon at redhat.com>

diff --git a/cppcheck/cppcheck-report.sh b/cppcheck/cppcheck-report.sh
index 17e949e..fc9ea32 100755
--- a/cppcheck/cppcheck-report.sh
+++ b/cppcheck/cppcheck-report.sh
@@ -114,6 +114,7 @@ upload_report()
     [ "$DEBUG" ] && set -xv
 
     ssh upload at dev-builds.libreoffice.org rm -rf "${UPLOAD_DIR?}" || die "Failed to remove directory ${UPLOAD_DIR?}"
+    ssh upload at dev-builds.libreoffice.org mkdir -p "${UPLOAD_DIR?}" || die "Failed to create directory ${UPLOAD_DIR?}"
     scp -r "${HTML_DIR?}"/* upload at dev-builds.libreoffice.org:"${UPLOAD_DIR?}"/ || die "Failed to upload report to ${UPLOAD_DIR?}"
 }
 


More information about the Libreoffice-commits mailing list